#include "Jester.h"
#include "Global.h"

void MenuMain()
{
	POINT MousePos;
	GetCursorPos(&MousePos);

	int x = MousePos.x;
	int y = 600 - MousePos.y;

	Jester->BeginFrame();

	Jester->DrawSprite(g_MenuBackgroundID[0], 0, 93+254);
	Jester->DrawSprite(g_MenuBackgroundID[1], 254, 93+254);
	Jester->DrawSprite(g_MenuBackgroundID[2], 254+254, 93+254);
	Jester->DrawSprite(g_MenuBackgroundID[3], 254+254+254, 93+254);
	Jester->DrawSprite(g_MenuBackgroundID[4], 0, 92);
	Jester->DrawSprite(g_MenuBackgroundID[5], 254, 92);
	Jester->DrawSprite(g_MenuBackgroundID[6], 254+254, 92);
	Jester->DrawSprite(g_MenuBackgroundID[7], 254+254+254, 92);
	Jester->DrawSprite(g_MenuBackgroundID[8], 0, 0);
	Jester->DrawSprite(g_MenuBackgroundID[9], 254, 0);
	Jester->DrawSprite(g_MenuBackgroundID[10], 254+254, 0);
	Jester->DrawSprite(g_MenuBackgroundID[11], 254+254+254, 0);

	Jester->TextOutWhite(285, 5, "Copyright 2002 Platoon Studios");

	if(!(Game.Menus.InCredits && Game.Menus.InHighScore && Game.Menus.InLoadGame && Game.Menus.InLoadLevel))
	{
		// Play Game Button
		if(((x > 310) && (x < 485)) && ((y > 360) && (y < 400)))
			Jester->DrawSprite(g_PlayGameButtonBID, 300, 355);
		else Jester->DrawSprite(g_PlayGameButtonID, 300, 355);

		// Load Game Button
		if(((x > 310) && (x < 485)) && ((y > 320) && (y < 360)))
			Jester->DrawSprite(g_LoadGameButtonBID, 300, 315);
		else Jester->DrawSprite(g_LoadGameButtonID, 300, 315);

		// Load Level Button
		if(((x > 310) && (x < 485)) && ((y > 280) && (y < 320)))
			Jester->DrawSprite(g_LoadLevelButtonBID, 300, 275);
		else Jester->DrawSprite(g_LoadLevelButtonID, 300, 275);

		// High Scores Button
		if(((x > 310) && (x < 485)) && ((y > 240) && (y < 280)))
			Jester->DrawSprite(g_HighScoreButtonBID, 300, 235);
		else Jester->DrawSprite(g_HighScoreButtonID, 300, 235);

		// Credits Button
		if(((x > 310) && (x < 485)) && ((y > 200) && (y < 240)))
			Jester->DrawSprite(g_CreditsButtonBID, 300, 195);
		else Jester->DrawSprite(g_CreditsButtonID, 300, 195);

		// Exit Button
		if(((x > 320) && (x < 455)) && ((y > 160) && (y < 200)))
			Jester->DrawSprite(g_ExitButtonBID, 300, 155);
		else Jester->DrawSprite(g_ExitButtonID, 300, 155);		

		if (((x > 310) && (x < 465)) && ((y > 360) && (y < 400))||
			((x > 310) && (x < 465)) && ((y > 320) && (y < 360))||
			((x > 310) && (x < 465)) && ((y > 280) && (y < 320))||
			((x > 310) && (x < 465)) && ((y > 240) && (y < 280))||
			((x > 310) && (x < 465)) && ((y > 200) && (y < 240))||
			((x > 310) && (x < 465)) && ((y > 160) && (y < 200)))
			Jester->DrawSprite(g_HandCursorID, x, y-16);		
		else
			Jester->DrawSprite(g_ArrowCursorID, x, y-16);
	}

	Jester->EndFrame();
}