#include "Jester.h"

class CTextureList;
class CTextureHead;
class CTextureNode;
class CTextureTail;

// CTextureList
class CTextureList
{
public:
	CTextureList();
	~CTextureList();
	void Insert(char *TexName);
	bool TextureLoaded(char *TexName);
	IDirect3DTexture8* GetTexture(char* TexName);

private:
	CTextureHead *myHead;
};

// CTextureHead
class CTextureHead
{
public:
	CTextureHead();
	~CTextureHead();
	void Insert(char *TexName);
	bool TextureLoaded(char *TexName);
	IDirect3DTexture8* GetTexture(char* TexName);

private:
	CTextureNode *myNext;
};

// CTextureNode
class CTextureNode
{
public:
	CTextureNode();
	CTextureNode(CTextureNode *myNewNext, char* myNewTextureName);
	virtual ~CTextureNode();
	virtual bool TextureLoaded(char *TexName);	
	virtual IDirect3DTexture8* GetTexture(char* TexName);

private:

	CTextureNode *myNext;
	char* myTextureName;
	IDirect3DTexture8 *myTexture;
};

// CTextureTail
class CTextureTail : public CTextureNode
{
public:
	virtual ~CTextureTail();
	virtual bool TextureLoaded(char *TexName);
	virtual IDirect3DTexture8* GetTexture(char* TexName);
};



